Opened 12 years ago

Closed 12 years ago

Last modified 12 years ago

#16138 closed defect (fixed)

DCRAW - Checksum Error, 30 July 2008

Reported by: jburt@… Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 1.6.0
Keywords: dcraw Cc:
Port:

Description

$ date

Wed Jul 30 09:29:18 EDT 2008

$

$

$ sudo port clean dcraw

---> Cleaning dcraw

$

$

$ sudo port search dcraw

dcraw graphics/dcraw 8.86 Raw Digital Photo Decoding, supporting 209 cameras

$

$

$ sudo port install dcraw

---> Verifying checksum(s) for dcraw

Error: Checksum (md5) mismatch for dcraw-8.86.tar.gz

Error: Checksum (sha1) mismatch for dcraw-8.86.tar.gz

Error: Checksum (rmd160) mismatch for dcraw-8.86.tar.gz

Error: Target org.macports.checksum returned: Unable to verify file checksums

Error: Status 1 encountered during processing.

Change History (3)

comment:1 Changed 12 years ago by ryandesign (Ryan Schmidt)

Cc: ryandesign@… removed
Keywords: ryandesign@macports.org removed
Owner: changed from macports-tickets@… to ryandesign@…
Status: newassigned

Thanks for reporting this problem. Looks like another stealth update occurred. Here's the diff between the previous version of 8.86 and the currently-available version of 8.86:

Only in 8.86_2/dcraw: dcraw_ca.1
Only in 8.86_2/dcraw: dcraw_ca.po
diff -ru 8.86_1/dcraw/install 8.86_2/dcraw/install
--- 8.86_1/dcraw/install        2008-01-05 21:44:26.000000000 -0600
+++ 8.86_2/dcraw/install        2008-07-04 12:09:40.000000000 -0500
@@ -2,18 +2,21 @@
 # Simple installer for dcraw executable, manpages, and message catalogs.
 # Dave Coffin, dcoffin a cybercom o net
 
+# You will need these:
+# apt-get install libjpeg-dev liblcms-dev gettext
+
 prefix=/usr/local
 
-# Add a CPU-specific "-march=" for greater speed
-gcc -O4 -Wall -o $prefix/bin/dcraw dcraw.c -lm -ljpeg -llcms -s \
-       -DLOCALEDIR=\"$prefix/share/locale/\"
+gcc -O4 -march=native -Wall -o $prefix/bin/dcraw dcraw.c \
+       -lm -ljpeg -llcms -s -DLOCALEDIR=\"$prefix/share/locale/\"
 
+mkdir -p -m 755 $prefix/share/man/man1
 cp dcraw.1 $prefix/share/man/man1
 
 # Please help me add more languages
 for langchar in \
-  fr.latin1 it.latin1 de.latin1 pt.latin1 es.latin1 nl.latin1 \
-  sv.latin1 cs.latin2 hu.latin2 pl.latin2 eo.latin3 ru.koi8-r \
+  fr.latin1 it.latin1 de.latin1 pt.latin1 es.latin1 nl.latin1 sv.latin1 \
+  ca.latin1 cs.latin2 hu.latin2 pl.latin2 eo.latin3 ru.koi8-r \
   zh_TW.big5 zh_CN.gb2312
 do
   lang=`echo $langchar | cut -d. -f1`

comment:2 Changed 12 years ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: assignedclosed

Updated the port to the new version in r38767.

comment:3 Changed 12 years ago by (none)

Milestone: Port Bugs

Milestone Port Bugs deleted

Note: See TracTickets for help on using tickets.